Threat Encyclopedia

Oracle.BI.AMF.CVE-2021-2456.Insecure.Deserialization

description-logoDescription

This indicates an attack attempt to exploit an Insecure Deserialization Vulnerability in Oracle Business Intelligence Enterprise Edition.
This vulnerability is due to insufficient validation of AMF messages in requests to BIRemotingServlet. A remote, unauthenticated attacker can exploit this vulnerability by sending crafted requests to a vulnerable server. Successful exploitation can result in arbitrary code execution under the security context of the affected server.

affected-products-logoAffected Products

Oracle Business Intelligence Enterprise Edition 12.2.1.4.0

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

recomended-action-logoRecommended Actions

Apply the most recent upgrade or patch from the vendor.
https://www.oracle.com/security-alerts/cpujul2021.html#AppendixFMW

CVE References

CVE-2021-2456